Bug#441766: vlc: segfaults with new glib

Sjoerd Simons sjoerd at luon.net
Sat Sep 22 19:51:14 UTC 2007

reassign 441766 libwxgtk2.6-0

On Tue, Sep 11, 2007 at 01:47:40AM +0000, brian m. carlson wrote:
> Package: vlc
> Version: 0.8.6.c-3
> Severity: grave
> After installing libglib2.0-0 2.14.0 (which I did some time ago), vlc
> now crashes when using any interface using GTK (and hence, glib).  I
> checked some time ago and discovered that downgrading libglib2.0-0 (and
> obviously, the corresponding GTK packages) fixed this problem.  This
> leads me to believe that this is related to the g_thread_init() issue.
> See e.g. #428854.

  This is caused by wxwidgets using the wrong functions to free structures it
  got from gtk. The attached patches fixes it for me

Where it is a duty to worship the sun it is pretty sure to be a crime to
examine the laws of heat.
		-- Christopher Morley
-------------- next part --------------
A non-text attachment was scrubbed...
Name: wxwidgets.patch
Type: text/x-diff
Size: 1199 bytes
Desc: not available
Url : http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/attachments/20070922/7aa2c66d/attachment.patch 

More information about the pkg-multimedia-maintainers mailing list